## python-async-property 0.2.2

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 async_property tests

test: ## run tests quickly with the default Python
	py.test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source async_property -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/async_property.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ async_property
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = async_property
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-async-property (0.2.2-3) unstable; urgency=medium

  * Team Upload
  * Add debian/salsa-ci.yml
  * Apply Multi-Arch: hint
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the default now
  * This already uses dh-sequence-python3, drop duplicate "--with python3"
  * Replace "py.test" with "pytest" in description

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Oct 2025 11:17:36 +0100

python-async-property (0.2.2-2) unstable; urgency=low

  * Source-only upload to allow transition to testing.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Jul 2024 08:50:52 +0000

python-async-property (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #1076652).

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Jul 2024 18:34:05 +0000

=== debian/control ===
Source: python-async-property
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.2
Homepage: https://github.com/ryananguiano/async_property
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-async-property
Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-property.git

Package: python3-async-property
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-async-property-doc,
Description: decorator for async properties (Python3 version)
 Python decorator for async properties. You can use @async_property just as you
 would with @property, but on an async function.
 .
 Features:
  * Both regular and cached property.
  * Cached properties can be accessed multiple times without repeating
    function call.
  * Uses asyncio.Lock to ensure cached functions are called only once.
  * Full test coverage with pytest.
 .
 This package contains the Python 3 version of the library.

Package: python-async-property-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: decorator for async properties (Documentation)
 Python decorator for async properties. You can use @async_property just as you
 would with @property, but on an async function.
 .
 Features:
  * Both regular and cached property.
  * Cached properties can be accessed multiple times without repeating
    function call.
  * Uses asyncio.Lock to ensure cached functions are called only once.
  * Full test coverage with pytest.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=async-property

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-async-property-doc/usr/share/doc/python-async-property-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-async-property-$1/ \
https://github.com/ryananguiano/async_property/tags \
/ryananguiano/async_property/archive/refs/tags/v([\d\.]+)\.tar\.gz
